package com.example.samplejavaapp.processing;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.example.samplejavaapp.wrappers.message.JMessageHandler;

import pl.novelpay.transport.shared.message.DomainMessage;
import pl.novelpay.util.logger.Logger;

public class MessageInterceptor extends JMessageHandler {
    @Nullable
    @Override
    public DomainMessage onMessage(@NonNull DomainMessage message) {
        Logger.INSTANCE.d("Got:" + message + "message");
        return message;
    }
}
